<?php

/**
 * This project has been generated by nuts generator
 * nuts has been made by fahmi sulaiman
 * sulaimanfahmi@gmail.com
 */

namespace Helper;

use Base\BaseHelper;
use Model\FamilyusersModel;

class FamilyusersHelper extends BaseHelper
{
    // public $alias=[:ALIAS_PROPERTY:];
    //public $relation=[];
    public $model = "\Model\FamilyusersModel";

    public function __construct()
    {
        parent::__construct();
    }

    public function paging($input)
    {
        $model = new FamilyusersModel();
        $model->paginating($input);
        $model = $model->getPaginate();
        return $model;
    }

    public function show($id)
    {
        $model = new FamilyusersModel();
        $model = $model->findById($id);
        return $model;
    }

    public function store($input)
    {
        $this->beforeInsert($input["Familyusers"]);
        $model = new FamilyusersModel($input["Familyusers"]);
        if (!$model->save()) {
            throw new \Exception();
        }
        return $model;
    }

    public function delete($id)
    {
        $this->beforeDelete($id);
        $model = FamilyusersModel::find($id);
        if (!$model->delete()) {
            throw new \Exception();
        }
        return $model;
    }

    public function update($id, $input)
    {
        $this->beforeUpdate($id, $input);
        $model = FamilyusersModel::find($id);
        $model->setProperty($input["Familyusers"]);
        if (!$model->update()) {
            throw new \Exception();
        }
        return $model;
    }


    public function storeFromFamily($ID, $input)
    {
        $model = new FamilyusersModel($input);
        $model->setProperty($ID);
        $model->familyId = $ID;
        if (!$model->save()) {
            throw new \Exception();
        }
        return $model;
    }
}